| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/trimesh.h File Reference

Triangle mesh. More...

`#include "csextern.h"`
`#include "csgeom/tri.h"`
`#include "csgeom/vector3.h"`
`#include "csutil/array.h"`
`#include "csutil/dirtyaccessarray.h"`

Go to the source code of this file.

## Classes
class | csTriangleMesh
| A mesh of triangles. More...
class | csTriangleVertex
| The representation of a vertex in a triangle mesh. More...
class | csTriangleVertices
| A class which holds vertices and connectivity information for a triangle mesh. More...

## Detailed Description

Triangle mesh.

Definition in file trimesh.h.